> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ai/aig/ai-gateway-usage/describeaimodeldailycost.md).

# DescribeAiModelDailyCost

## 1. API Description

This API (DescribeAiModelDailyCost) is used to describe AI model daily cost

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api-reference/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type   | Description                           |
| --------------- | -------- | ------ | ------------------------------------- |
| month           | Yes      | String | Month, format: "2026-2" or "2026-02". |
| instanceIds     | No       | String | Instance ID.                          |
| resourceGroupId | No       | String | Resource group ID.                    |

## 3. Output Parameters

| Parameter Name | Type                                                                               | Description                                                                                                           |
| -------------- | ---------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                             | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dates          | Array of String                                                                    | List of dates.                                                                                                        |
| series         | Array of [ModelCostSeries](/api-reference/ai/aig/datastructure.md#modelcostseries) | Daily model cost.                                                                                                     |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the daily cost statistics of each model within the specified month for the AI gateway.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiModelDailyCost
<Common Request Params>

Request:
{
    "instanceIds": "1652682429418183507",
    "month": "2026-03"
}
Response:
{
    "requestId": "T05CB0425-6FDA-4B49-9C6D-ECC6665C255E",
    "response": {
        "series": [
            {
                "modelName": "gpt-4o",
                "data": [
                    0,
                    0,
                    0.0047675
                ]
            },
            {
                "modelName": "claude-haiku-4-5-20251001",
                "data": [
                    0,
                    0,
                    0.008677
                ]
            }
        ],
        "requestId": "T05CB0425-6FDA-4B49-9C6D-ECC6665C255E",
        "dates": [
            "2026-03-01",
            "2026-03-02",
            "2026-03-03"
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
